This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 795054 - Review Request: lthread - A library for multicore/multithread coroutine library
Review Request: lthread - A library for multicore/multithread coroutine library
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2012-02-18 19:24 EST by Arangamanikkannan Manickam
Modified: 2015-12-03 22:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 22:51:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arangamanikkannan Manickam 2012-02-18 19:24:11 EST
Spec URL: https://github.com/downloads/arangamani/lthread/lthread.spec
SRPM URL: https://github.com/downloads/arangamani/lthread/lthread-0.5.0-1.fc16.src.rpm
Description: lthread is a multicore/multithread coroutine library written in C. 
lthread allows you to make blocking calls and expensive computations 
inside a coroutine as long as you surround your code with 
lthread_compute_begin()/lthread_compute_end(), 
hence combining the advantages of coroutines and pthreads.

This is my second package review request, and I am still waiting for sponsorship.
Comment 1 Arangamanikkannan Manickam 2012-02-18 19:26:43 EST
RPMLINT Output:


[sn0wb1rd@dove-box SPECS]$ rpmlint lthread.spec ../RPMS/x86_64/lthread* ../SRPMS/lthread*
lthread.x86_64: W: spelling-error Summary(en_US) multicore -> multicolored
lthread.x86_64: W: spelling-error Summary(en_US) multithread -> multitude
lthread.x86_64: W: spelling-error Summary(en_US) coroutine -> co routine, co-routine, routine
lthread.x86_64: W: spelling-error %description -l en_US multicore -> multicolored
lthread.x86_64: W: spelling-error %description -l en_US multithread -> multitude
lthread.x86_64: W: spelling-error %description -l en_US coroutine -> co routine, co-routine, routine
lthread.x86_64: W: spelling-error %description -l en_US coroutines -> co routines, co-routines, routines
lthread.x86_64: W: spelling-error %description -l en_US pthreads -> threads, p threads, thread
lthread-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lthread-0.5.0/src/rbtree.h
lthread-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lthread-0.5.0/src/epoll.c
lthread-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lthread-0.5.0/src/lthread_socket.c
lthread-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lthread-0.5.0/src/rbtree.c
lthread-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lthread-0.5.0/src/lthread_int.h
lthread-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lthread-0.5.0/src/lthread_compute.c
lthread-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lthread-0.5.0/src/poller.h
lthread-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lthread-0.5.0/src/lthread_sched.c
lthread-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lthread-0.5.0/src/time_utils.c
lthread-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lthread-0.5.0/src/lthread.c
lthread.src: W: spelling-error Summary(en_US) multicore -> multicolored
lthread.src: W: spelling-error Summary(en_US) multithread -> multitude
lthread.src: W: spelling-error Summary(en_US) coroutine -> co routine, co-routine, routine
lthread.src: W: spelling-error %description -l en_US multicore -> multicolored
lthread.src: W: spelling-error %description -l en_US multithread -> multitude
lthread.src: W: spelling-error %description -l en_US coroutine -> co routine, co-routine, routine
lthread.src: W: spelling-error %description -l en_US coroutines -> co routines, co-routines, routines
lthread.src: W: spelling-error %description -l en_US pthreads -> threads, p threads, thread
4 packages and 1 specfiles checked; 10 errors, 16 warnings.
Comment 2 Arangamanikkannan Manickam 2012-02-18 19:58:01 EST
Ran the source package in mock build environment and fixed some issues and update the SPEC file and SRPM file. The same link could be used to access the updated files.
Comment 3 Jason Tibbitts 2013-05-08 18:35:10 EDT
I am triaging old review tickets.  I apologize that it has been so long since 
anyone looked at this ticket, but there are more packages submitted now than
the pool of reviewers can handle, and some tickets fall through the cracks.

In order to keep the queue manageable, we need to occasionally find tickets 
which are not reviewable so as to not waste what reviewer time is available.  
Accordingly, I'm pinging this ticket and setting NEEDINFO.  If you are still 
interested in having your package reviewed, please do the following:

* Make sure your package still reflects the current status of its upstream.

* Check that your package still builds on current Fedora releases.

* Audit your package versus the current status of the packaging guidelines, 
  current rpmlint and current fedora-review tools.

And, finally, reply, making sure that the NEEDINFO flag gets cleared so that
this ticket reappears in the review queue.  I can't promise a review if you 
reply, but by closing out the stale tickets we can devote extra attention to 
the ones which aren't stale.
Comment 4 Miroslav Suchý 2015-07-21 09:26:40 EDT
Arangamanikkannan are you still interrested in this package?
Comment 5 James Hogarth 2015-12-03 22:51:04 EST
As per policy as the requester has not responded to a needs info in over a year closing the bug as a dead review.

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Note You need to log in before you can comment on or make changes to this bug.